FONTDIR=/groff/font
DEVICEDIR=$(FONTDIR)/devlatin1

RES=240
CPI=10
LPI=6
FONTS=R I B BI

all: $(FONTS) DESC

$(FONTS): R.proto
	@echo Making $@
	@-rm -f $@
	@(charwidth=`expr $(RES) / $(CPI)` ; \
 	 sed -e "s/^name [A-Z]*$$/name $@/" \
	     -e "s/^\\([^	]*\\)	[0-9]+	/\\1	$$charwidth	/" \
	     -e "s/^spacewidth [0-9]+$$/spacewidth $$charwidth/" \
	     -e "s/^internalname .*$$/internalname $@/" \
	     -e "/^internalname/s/BI/3/" \
	     -e "/^internalname/s/B/2/" \
	     -e "/^internalname/s/I/1/" \
	     -e "/^internalname .*[^ 0-9]/d" \
	     R.proto >$@)

DESC: DESC.proto
	@echo Making $@
	@-rm -f $@
	@sed -e "s/^res .*$$/res $(RES)/" \
	    -e "s/^hor .*$$/hor `expr $(RES) / $(CPI)`/" \
	    -e "s/^vert .*$$/vert `expr $(RES) / $(LPI)`/" \
	    -e "s/^fonts .*$$/fonts `set $(FONTS); echo $$#` $(FONTS)/" \
	    DESC.proto >$@

install.nobin: all
	-mkdir $(FONTDIR)
	-mkdir $(DEVICEDIR)
	-cd $(DEVICEDIR); rm -f $(FONTS) DESC
	cp $(FONTS) DESC $(DEVICEDIR)

install.bin:

install: install.bin install.nobin

clean:
	-rm -f $(FONTS) DESC

distclean: clean
